# Simple Glitchtip Plugin Installation
## Installation

To install or update the Simple Glitchtip plugin, run the following command from the root of your WordPress HTML directory:

```bash
curl -sSL https://git.nixc.us/colin/simple-glitchtip/raw/branch/main/install.sh | bash
```

## Enabling the Plugin

### After running the install script, you need to activate the plugin. You can do this via the WordPress admin dashboard:

    Log in to your WordPress admin dashboard.
    Navigate to Plugins > Installed Plugins.
    Find Simple Glitchtip in the list and click Activate.

### What install.sh Does

The install.sh script performs the following actions:

    Defines the URL for downloading the simple-glitchtip.php file.
    Creates the target directory (wp-content/plugins/simple-glitchtip) if it doesn't exist.
    Downloads the simple-glitchtip.php file into the target directory.
    Downloads the Sentry SDK as sentry.phar into the target directory.
    Sets the correct permissions for the simple-glitchtip.php and sentry.phar files.
    Prints a message indicating that the Simple Glitchtip plugin has been installed or updated successfully.

This setup includes the necessary error reporting functionality within a single plugin file and automates the installation and updating process via the provided install.sh script.